mscorlib 4.0.0.0 System.Threading.Tasks.Task System.Diagnostics.DebuggerDisplay("Id = {Id}, Status = {Status}, Result = {ResultAsString}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Threading.Tasks.TaskDebuggerView)) To be added.

instances may be created in a variety of ways. The most common approach is by using the task's property to retrieve a instance that can be used to create tasks for several purposes. For example, to create a that runs a function, the factory's method may be used:

`// C# var t = Task<int>.Factory.StartNew(() => GenerateResult()); ' Visual Basic Dim t = Task(Of Integer).Factory.StartNew(Function() GenerateResult())`

For more complete examples, see Task Parallelism (Task Parallel Library).

The class also provides constructors that initialize the task but that do not schedule it for execution. For performance reasons, the StartNew method should be the preferred mechanism for creating and scheduling computational tasks, but for scenarios where creation and scheduling must be separated, the constructors may be used, and the task's method may then be used to schedule the task for execution at a later time.

Represents an asynchronous operation that can return a value.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.ConfiguredTaskAwaitable<TResult> `` To be added.

  Configures an awaiter used to await this .

  An object used to await this task.

  true to attempt to marshal the continuation back to the original context captured; otherwise, false.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<TNewResult> `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Threading.Tasks.TaskFactory<TResult> To be added.

  The factory returned from is a default instance of , as would result from using the default constructor on the factory type.

  Provides access to factory methods for creating instances.

- Method
  4.0.0.0
  System.Runtime.CompilerServices.TaskAwaiter<TResult>

  This method is intended for compiler user rather than use directly in code.

  Gets an awaiter used to await this .

  An awaiter instance.

- Property
  4.0.0.0
  System.Diagnostics.DebuggerBrowsable(System.Diagnostics.DebuggerBrowsableState.Never)
  TResult To be added.

  The get accessor for this property ensures that the asynchronous operation is complete before returning. Once the result of the computation is available, it is stored and will be returned immediately on later calls to .

  Gets the result value of this .